> For the complete documentation index, see [llms.txt](https://docs.cipp.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cipp.app/user-documentation/endpoint/mem/add-policy.md).

# Apply Policy

The Apply Policy wizard provides the ability for you to select one or more tenants and add a MEM policy to their MEM portal.

{% stepper %}
{% step %}

### Tenant Selection

Select the tenant(s) or All Tenants that you want to apply a policy to
{% endstep %}

{% step %}

### Policy Configuration

Select the policy template and the assignment level
{% endstep %}

{% step %}

### Confirmation

Review the selected options and if you are ready to proceed click `Submit`. If you have any changes that need to be made, click `Back` and edit what's needed.
{% endstep %}
{% endstepper %}

{% hint style="warning" %}
Currently you can only apply new policies, applying policies doesn't update existing policies even if originally created from this template.\
To work around this you can apply the policy to "AllTenants" and have it reapplied on a schedule.
{% endhint %}

***

## Feature Requests / Ideas

We value your feedback and ideas. Please raise any [feature requests](https://github.com/KelvinTegelaar/CIPP/issues/new?template=feature.yml) on GitHub.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cipp.app/user-documentation/endpoint/mem/add-policy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
